import sys

from xula import XuLA
from bitstream import Bitstream, BitstreamHex, BitFile

def main(bitfilename):
    x = XuLA()
    x.progpin(1)

    chain = x.querychain()
    if chain != [0x02218093]:
       print "Expected single XC3S200A, but chain is", chain
    print "OK, found DEVICEID for XC3S200A"
    x.load(BitFile(bitfilename))
    print "load complete, USERCODE=", hex(x.usercode())

if __name__ == "__main__":
    print "xulaload, see http://excamera.com/sphinx/fpga-xess-python.html for details"
    if len(sys.argv) != 2:
        print "usage: xsload <bitfile>"
        sys.exit(1)
    main(sys.argv[1])
